uniform sampler2D tex0;
uniform float height;

void main (void)
{
vec4 circle_color;
  circle_color.r = 0.f;
  circle_color.g = 0.f;
  circle_color.b = 0.f;
  circle_color.a = 1.f;

   vec2 uv = gl_TexCoord[0].xy;
  
  vec4 bkg_color = texture2D(tex0,uv * vec2(1.0, -1.0));
  
  float dist = abs(uv.y - 0.5);
    float delta = fwidth(dist);


	gl_FragColor = circle_color;


	
}